CREATE FUNCTION "dba"."get_dk_kanne_viitnr"( in a_crekuup date, in a_crenr char(30), in a_asutnr integer )
RETURNS char(35)
BEGIN
  DECLARE ls_viitnr char(35);
  if a_asutnr is not null then
    set a_crenr=Left(a_crenr,20);
    select first viitnr into ls_viitnr from dk_kanne where arvekuup=a_crekuup and arvenr=a_crenr and asutnr=a_asutnr;
  end if;
  if ls_viitnr is null then
    set ls_viitnr=''
  end if;
  RETURN ls_viitnr;
END